Bug 16838 - Vectra XU 5/90 SCSI doesn't work with standard 6.2 distro
Vectra XU 5/90 SCSI doesn't work with standard 6.2 distro
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-24 00:21 EDT by John William
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-20 01:04:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John William 2000-08-24 00:21:25 EDT
The AM53/79C974 driver does not work correctly with the AM53C974 SCSI 
system on the HP Vectra XU 5/90.

The DC390 module works just fine for this implementation, but is not 
detected as such because the XU 5/90 has no DC390 BIOS (obviously). This 
makes getting the system running difficult because the SCSI driver goes 
into endless bus-resetting on boot. The DC390 driver works just fine, if 
it is selected.

The DC390 driver appears to be a superset of the functionality provided by 
the AM53/79C974 driver. If this is the case, why not disable the original 
AM53/79C974 driver and make its use optional?
Comment 1 Michael K. Johnson 2000-08-24 10:35:08 EDT
Alan, what do you think?

If we should switch drivers, say so and assign this to kudzu.
If not, any idea what (if anything) we should do to fix this
particular case?
Comment 2 Alan Cox 2000-08-24 10:49:04 EDT
The DC390 is a superset, but it isnt a generic superset. I'd be wary of this
although if we can do some testing and gather more info it might be wise.

To clarify - hand selecting DC390 driver just works with no changes or errors
reported on this box ?
Comment 3 John William 2000-08-24 19:57:36 EDT
Correct - manually selecting the DC390 module works without errors or 
modifications on this machine, where the AM53/79C974 causes endless SCSI bus 
resets immediately after the drives are detected.

From /var/log/dmesg:

DC390_init: No EEPROM found!
DC390_init: Trying default EEPROM settings:
DC390: Used defaults: AdaptID=7, SpeedIdx=1 (8.0 MHz), DevMode=0x1f, AdaptMode=0
x2f, TaggedCmnds=3 (16)
PCI: Increasing latency timer of device 00:20 to 64
DC390: 1 adapters found
scsi0 : Tekram DC390/AM53C974 V2.0d 1998/12/25
scsi : 1 host.

And it works without problem.
Comment 4 Alan Cox 2000-08-31 06:50:07 EDT
OK I agree we should switch - for next release
Comment 5 Bill Nottingham 2000-08-31 11:36:50 EDT
What does lspci say on the system, so we know exactly
which card to associate it with?
Comment 6 John William 2000-08-31 18:21:59 EDT
/sbin/lspci gives:

00:04.0 SCSI storage controller: Advanced Micro Devices [AMD] 53c974 [PCscsi] (r
ev 02)

(Remember this is an on-board controller)
Comment 7 Bill Nottingham 2001-01-18 13:46:13 EST
Do you have the lspci -v output?
Comment 8 John William 2001-01-20 01:04:49 EST
I have included the '-vv' output below.

00:04.0 SCSI storage controller: Advanced Micro Devices [AMD] 53c974 [PCscsi] 
(rev 02)
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping+ SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr+ DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR+
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at ff00
Comment 9 Bill Nottingham 2001-01-20 22:37:21 EST
Ugh, there doesn't appear to be any subsystem/subvendor device
id info, so there's no way to distinguish this from other
53c974 cards.

Oh well, will be switched as of kudzu-0.90-1.

Note You need to log in before you can comment on or make changes to this bug.